Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360851 - (6.4.z) Re-invoking InterceptorContext.proceed() throws CannotProceedException
Summary: (6.4.z) Re-invoking InterceptorContext.proceed() throws CannotProceedException
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server
Version: 6.4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.10
Assignee: Fedor Gavrilov
QA Contact: Pavel Slavicek
eap-docs
URL:
Whiteboard:
Depends On:
Blocks: eap6410-payload 1346403
TreeView+ depends on / blocked
 
Reported: 2016-07-27 16:03 UTC by Brad Maxwell
Modified: 2017-01-17 12:56 UTC (History)
3 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 12:56:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2800 Major Resolved Re-invoking InterceptorContext.proceed() throws CannotProceedException 2016-10-06 05:04:42 UTC

Description Brad Maxwell 2016-07-27 16:03:35 UTC
WFLY-2800 - Properly reset context state upon returning from an inter…
…ceptor that manipulated the context's state with the context's setInterceptors(final List<Interceptor> interceptors, int nextIndex).

Comment 2 Jiří Bílek 2016-08-09 13:41:59 UTC
Verified with EAP 6.4.10.CP.CR1

Comment 3 Petr Penicka 2017-01-17 12:56:47 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.